[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [ecf-dev] build of deleted files/classes

Hi Markus,

I've confirmed that for whatever reason the obsolete RemoteServiceAdmin.java file is not getting deleted by the 'Wipe Out Workspace' selection. Is there some other/manual way to clear out the workspace and trigger a full git retrieval?

Thanks,

Scott



On 1/27/2011 8:15 AM, Scott Lewis wrote:
<stuff deleted>
Open the corresponding build, click on "Workspace" and then "Wipe Out
Workspace".

Strangely, I did this for the OSGi services feature project and then did another build (192), but it still failed with these errors


Warning: file /opt/hudson/jobs/C-HEAD-osgi.services.feature/workspace/projects/org.eclipse.ecf.osgi.services.remoteserviceadmin/src/org/eclipse/ecf/osgi/services/remoteserviceadmin/RemoteServiceAdmin.java, line 62: Unnecessary @SuppressWarnings("deprecation")
Error: file /opt/hudson/jobs/C-HEAD-osgi.services.feature/workspace/projects/org.eclipse.ecf.osgi.services.remoteserviceadmin/src/org/eclipse/ecf/osgi/services/remoteserviceadmin/BasicTopologyManager.java, line 19: Access restriction: The type EventHook is not accessible due to restriction on required library /opt/hudson/jobs/C-HEAD-osgi.services.feature/workspace/targetPlatformPath/plugins/org.eclipse.osgi_3.6.1.R36x_v20100806.jar
Error: file /opt/hudson/jobs/C-HEAD-osgi.services.feature/workspace/projects/org.eclipse.ecf.osgi.services.remoteserviceadmin/src/org/eclipse/ecf/osgi/services/remoteserviceadmin/BasicTopologyManager.java, line 23: Access restriction: The type EventHook is not accessible due to restriction on required library /opt/hudson/jobs/C-HEAD-osgi.services.feature/workspace/targetPlatformPath/plugins/org.eclipse.osgi_3.6.1.R36x_v20100806.jar
Error: file /opt/hudson/jobs/C-HEAD-osgi.services.feature/workspace/projects/org.eclipse.ecf.osgi.services.remoteserviceadmin/src/org/eclipse/ecf/osgi/services/remoteserviceadmin/BasicTopologyManager.java, line 48: Access restriction: The type EventHook is not accessible due to restriction on required library /opt/hudson/jobs/C-HEAD-osgi.services.feature/workspace/targetPlatformPath/plugins/org.eclipse.osgi_3.6.1.R36x_v20100806.jar



https://build.ecf-project.org/hudson/job/C-HEAD-osgi.services.feature/192/



Any idea whats going wrong?

Thanks,

Scott

_______________________________________________
ecf-dev mailing list
ecf-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/ecf-dev